Skip to main content
`Ctrl`+`K`

# DMMoabGetDofs

Gets the global degree-of-freedom for all fields (components) defined on an array of MOAB EntityHandles.

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetDofs(DM dm, PetscInt npoints, const moab::EntityHandle *points, PetscInt *dof)

Not Collective

## Input Parameters

- dm - the discretization manager object

- npoints - the total number of Entities in the points array

- points - the MOAB EntityHandle container array which holds the field degree-of-freedom values

## Output Parameter

- dof - the global degree-of-freedom index array corresponding to the field in the discrete representation (Vec, Mat)

## See Also

`DMMoabGetFieldDofs()`, `DMMoabGetDofsLocal()`, `DMMoabGetDofsBlocked()`

## Level

intermediate

## Location

src/dm/impls/moab/dmmbfield.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages